Subject: bug#18437: 24.3.93; cursor changes color and size at end of line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Sep 2014 20:23:35 +0300

> From: David Reitter <[email-masked]>
> Date: Tue, 9 Sep 2014 17:12:29 -0400
> 
> Set cursor color and type:
> 
> (setq default-frame-alist
> 	    '((cursor-type . 'bar)
> 	      (cursor-color . "red")))
> 
> Then resize the frame so that the window is just about wide enough to display one of the lines in the current buffer.
> 
> Move point to end of one of the longest line.
> 
> Note cursor changes color to black.  Move point one to the left, and cursor will change back to what it's supposed to be.

Not reproducible here, with today's emacs-24 branch.

> Also (not demonstrated here), the cursor will change size to small if the default face in this buffer is enlarged with an entry in `face-remapping-alist'.

I cannot reproduce this, either.  You didn't say how you enlarged the
font; I did that with "C-x C-+".

> I’ve only noticed this today after merging the latest changes on the -24 branch into my Aquamacs branch, so this looks like a regression to me.

Could be Aquamacs specific.